{"openapi":"3.1.1","info":{"title":"Planning Center Services","version":"2018-11-01","description":"Schedule your teams, manage your music, and revolutionize the way you plan your worship services.","termsOfService":"https://planningcenter.com/terms","contact":{"name":"Planning Center","url":"https://www.planningcenter.com","email":"support@planningcenter.com"},"x-pco-api-version":"15.2.0"},"externalDocs":{"description":"Planning Center developer documentation","url":"https://planningcenter.com/developers"},"servers":[{"url":"https://api.planningcenteronline.com/services/v2"}],"security":[{"oauth2":["services"]},{"personal_access_token":[]}],"tags":[{"name":"Folder","description":"A folder is a container used to organize multiple Service Types or other Folders."},{"name":"ServiceType","description":"A Service Type is a container for plans."},{"name":"Media","description":"A piece of media"},{"name":"Song","description":"A song"},{"name":"Person","description":"A person added to Planning Center Services."},{"name":"Team","description":"A Team within a Service Type."},{"name":"AttachmentType","description":"Create an Attachment Type for each type of file you might want only specific people to see. When you attach a file, you can specify an attachment type to then be able to link the file to a position."},{"name":"Chat"},{"name":"EmailTemplate","description":"A EmailTemplate Resource"},{"name":"Organization","description":"The root level of an organization where account-level settings are applied."},{"name":"ReportTemplate","description":"A template for generating reports"},{"name":"Series","description":"A Series can be specified for each plan to tie plans with similar messages together, even across Service Types.\n\n*Note*: A series is not created until artwork is added from the plan.  You can use `series_title` included in `Plan` attributes to get titles for series without artwork.\n"},{"name":"TagGroup","description":"A tag group contains tags"}],"paths":{"/attachment_types":{"summary":"AttachmentType","description":"Create an Attachment Type for each type of file you might want only specific people to see. When you attach a file, you can specify an attachment type to then be able to link the file to a position.","get":{"tags":["AttachmentType"],"parameters":[{"$ref":"#/components/parameters/attachmenttype_order_parameter"},{"$ref":"#/components/parameters/attachmenttype_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_attachment_types_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/attachment_types/{attachment_type_id}":{"summary":"AttachmentType","description":"Create an Attachment Type for each type of file you might want only specific people to see. When you attach a file, you can specify an attachment type to then be able to link the file to a position.","get":{"tags":["AttachmentType"],"parameters":[{"name":"attachment_type_id","in":"path","schema":{"type":"string"},"required":true,"description":"The AttachmentType id"},{"$ref":"#/components/parameters/attachmenttype_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_attachment_types_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/chat":{"summary":"Chat","get":{"tags":["Chat"],"parameters":[{"$ref":"#/components/parameters/chat_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_chat_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/chat/{chat_id}":{"summary":"Chat","get":{"tags":["Chat"],"parameters":[{"name":"chat_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Chat id"},{"$ref":"#/components/parameters/chat_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_chat_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/email_templates":{"summary":"EmailTemplate","description":"A EmailTemplate Resource","get":{"tags":["EmailTemplate"],"parameters":[{"$ref":"#/components/parameters/emailtemplate_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_email_templates_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["EmailTemplate"],"parameters":[{"$ref":"#/components/parameters/emailtemplate_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/emailtemplate_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_email_templates_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/email_templates/{email_template_id}":{"summary":"EmailTemplate","description":"A EmailTemplate Resource","get":{"tags":["EmailTemplate"],"parameters":[{"name":"email_template_id","in":"path","schema":{"type":"string"},"required":true,"description":"The EmailTemplate id"},{"$ref":"#/components/parameters/emailtemplate_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_email_templates_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["EmailTemplate"],"parameters":[{"name":"email_template_id","in":"path","schema":{"type":"string"},"required":true,"description":"The EmailTemplate id"},{"$ref":"#/components/parameters/emailtemplate_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/emailtemplate_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_email_templates_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["EmailTemplate"],"parameters":[{"name":"email_template_id","in":"path","schema":{"type":"string"},"required":true,"description":"The EmailTemplate id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/email_templates/{email_template_id}/render":{"summary":"render","description":"Render an email template and fill in the persons details","post":{"tags":["EmailTemplate"],"parameters":[{"name":"email_template_id","in":"path","schema":{"type":"string"},"required":true,"description":"The EmailTemplate id"}],"responses":{"201":{"description":"Successful action response","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/folders":{"summary":"Folder","description":"A folder is a container used to organize multiple Service Types or other Folders.","get":{"tags":["Folder"],"parameters":[{"$ref":"#/components/parameters/folder_where_parent_id_parameter"},{"$ref":"#/components/parameters/servicetype_where_service_types_id_parameter"},{"$ref":"#/components/parameters/servicetype_where_service_types_name_parameter"},{"$ref":"#/components/parameters/servicetype_where_service_types_parent_id_parameter"},{"$ref":"#/components/parameters/folder_order_parameter"},{"$ref":"#/components/parameters/folder_include_parameter"},{"$ref":"#/components/parameters/folder_all_fields_parameter"},{"$ref":"#/components/parameters/servicetype_all_fields_parameter"},{"$ref":"#/components/parameters/timepreferenceoption_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_folders_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Folder"],"parameters":[{"$ref":"#/components/parameters/folder_include_parameter"},{"$ref":"#/components/parameters/folder_all_fields_parameter"},{"$ref":"#/components/parameters/servicetype_all_fields_parameter"},{"$ref":"#/components/parameters/timepreferenceoption_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/folder_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_folders_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/folders/{folder_id}":{"summary":"Folder","description":"A folder is a container used to organize multiple Service Types or other Folders.","get":{"tags":["Folder"],"parameters":[{"name":"folder_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Folder id"},{"$ref":"#/components/parameters/folder_include_parameter"},{"$ref":"#/components/parameters/folder_all_fields_parameter"},{"$ref":"#/components/parameters/servicetype_all_fields_parameter"},{"$ref":"#/components/parameters/timepreferenceoption_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_folders_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Folder"],"parameters":[{"name":"folder_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Folder id"},{"$ref":"#/components/parameters/folder_include_parameter"},{"$ref":"#/components/parameters/folder_all_fields_parameter"},{"$ref":"#/components/parameters/servicetype_all_fields_parameter"},{"$ref":"#/components/parameters/timepreferenceoption_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/folder_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_folders_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Folder"],"parameters":[{"name":"folder_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Folder id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/folders/{folder_id}/folders":{"summary":"Folder","description":"A folder is a container used to organize multiple Service Types or other Folders.","get":{"tags":["Folder"],"parameters":[{"name":"folder_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Folder id"},{"$ref":"#/components/parameters/folder_where_parent_id_parameter"},{"$ref":"#/components/parameters/servicetype_where_service_types_id_parameter"},{"$ref":"#/components/parameters/servicetype_where_service_types_name_parameter"},{"$ref":"#/components/parameters/servicetype_where_service_types_parent_id_parameter"},{"$ref":"#/components/parameters/folder_order_parameter"},{"$ref":"#/components/parameters/folder_include_parameter"},{"$ref":"#/components/parameters/folder_all_fields_parameter"},{"$ref":"#/components/parameters/servicetype_all_fields_parameter"},{"$ref":"#/components/parameters/timepreferenceoption_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/folder_folders_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Folder"],"parameters":[{"name":"folder_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Folder id"},{"$ref":"#/components/parameters/folder_include_parameter"},{"$ref":"#/components/parameters/folder_all_fields_parameter"},{"$ref":"#/components/parameters/servicetype_all_fields_parameter"},{"$ref":"#/components/parameters/timepreferenceoption_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/folder_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/folder_folders_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/folders/{folder_id}/folders/{folder_id}":{"summary":"Folder","description":"A folder is a container used to organize multiple Service Types or other Folders.","get":{"tags":["Folder"],"parameters":[{"name":"folder_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Folder id"},{"$ref":"#/components/parameters/folder_include_parameter"},{"$ref":"#/components/parameters/folder_all_fields_parameter"},{"$ref":"#/components/parameters/servicetype_all_fields_parameter"},{"$ref":"#/components/parameters/timepreferenceoption_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/folder_folders_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Folder"],"parameters":[{"name":"folder_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Folder id"},{"$ref":"#/components/parameters/folder_include_parameter"},{"$ref":"#/components/parameters/folder_all_fields_parameter"},{"$ref":"#/components/parameters/servicetype_all_fields_parameter"},{"$ref":"#/components/parameters/timepreferenceoption_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/folder_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/folder_folders_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Folder"],"parameters":[{"name":"folder_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Folder id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/folders/{folder_id}/service_types":{"summary":"ServiceType","description":"A Service Type is a container for plans.","get":{"tags":["Folder"],"parameters":[{"name":"folder_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Folder id"},{"$ref":"#/components/parameters/servicetype_where_id_parameter"},{"$ref":"#/components/parameters/servicetype_where_name_parameter"},{"$ref":"#/components/parameters/servicetype_where_parent_id_parameter"},{"$ref":"#/components/parameters/servicetype_order_parameter"},{"$ref":"#/components/parameters/servicetype_include_parameter"},{"$ref":"#/components/parameters/servicetype_all_fields_parameter"},{"$ref":"#/components/parameters/timepreferenceoption_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/folder_service_types_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Folder"],"parameters":[{"name":"folder_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Folder id"},{"$ref":"#/components/parameters/servicetype_include_parameter"},{"$ref":"#/components/parameters/servicetype_all_fields_parameter"},{"$ref":"#/components/parameters/timepreferenceoption_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/servicetype_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/folder_service_types_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/folders/{folder_id}/service_types/{service_type_id}":{"summary":"ServiceType","description":"A Service Type is a container for plans.","get":{"tags":["Folder"],"parameters":[{"name":"folder_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Folder id"},{"name":"service_type_id","in":"path","schema":{"type":"string"},"required":true,"description":"The ServiceType id"},{"$ref":"#/components/parameters/servicetype_include_parameter"},{"$ref":"#/components/parameters/servicetype_all_fields_parameter"},{"$ref":"#/components/parameters/timepreferenceoption_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/folder_service_types_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Folder"],"parameters":[{"name":"folder_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Folder id"},{"name":"service_type_id","in":"path","schema":{"type":"string"},"required":true,"description":"The ServiceType id"},{"$ref":"#/components/parameters/servicetype_include_parameter"},{"$ref":"#/components/parameters/servicetype_all_fields_parameter"},{"$ref":"#/components/parameters/timepreferenceoption_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/servicetype_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/folder_service_types_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Folder"],"parameters":[{"name":"folder_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Folder id"},{"name":"service_type_id","in":"path","schema":{"type":"string"},"required":true,"description":"The ServiceType id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/media":{"summary":"Media","description":"A piece of media","get":{"tags":["Media"],"parameters":[{"$ref":"#/components/parameters/organization_media_filter_parameter"},{"$ref":"#/components/parameters/media_where_creator_name_parameter"},{"$ref":"#/components/parameters/media_where_hidden_parameter"},{"$ref":"#/components/parameters/media_where_id_parameter"},{"$ref":"#/components/parameters/media_where_media_tag_group_ids_parameter"},{"$ref":"#/components/parameters/media_where_media_tag_ids_parameter"},{"$ref":"#/components/parameters/media_where_media_types_parameter"},{"$ref":"#/components/parameters/media_where_themes_parameter"},{"$ref":"#/components/parameters/media_where_title_parameter"},{"$ref":"#/components/parameters/attachment_where_attachments_administrator_id_parameter"},{"$ref":"#/components/parameters/attachment_where_attachments_attachable_type_parameter"},{"$ref":"#/components/parameters/attachment_where_attachments_filename_like_parameter"},{"$ref":"#/components/parameters/attachment_where_attachments_licenses_purchased_parameter"},{"$ref":"#/components/parameters/attachment_where_attachments_type_parameter"},{"$ref":"#/components/parameters/media_order_parameter"},{"$ref":"#/components/parameters/media_include_parameter"},{"$ref":"#/components/parameters/media_all_fields_parameter"},{"$ref":"#/components/parameters/attachment_all_fields_parameter"},{"$ref":"#/components/parameters/zoom_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_media_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Media"],"parameters":[{"$ref":"#/components/parameters/media_include_parameter"},{"$ref":"#/components/parameters/media_all_fields_parameter"},{"$ref":"#/components/parameters/attachment_all_fields_parameter"},{"$ref":"#/components/parameters/zoom_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/media_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_media_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/media/{media_id}":{"summary":"Media","description":"A piece of media","get":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"},{"$ref":"#/components/parameters/media_include_parameter"},{"$ref":"#/components/parameters/media_all_fields_parameter"},{"$ref":"#/components/parameters/attachment_all_fields_parameter"},{"$ref":"#/components/parameters/zoom_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_media_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"},{"$ref":"#/components/parameters/media_include_parameter"},{"$ref":"#/components/parameters/media_all_fields_parameter"},{"$ref":"#/components/parameters/attachment_all_fields_parameter"},{"$ref":"#/components/parameters/zoom_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/media_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_media_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/media/{media_id}/archive":{"summary":"archive","description":"Archive a Media.","post":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"}],"responses":{"201":{"description":"Successful action response","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/media/{media_id}/assign_tags":{"summary":"assign_tags","description":"Used to assign tags to a media.","post":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"}],"responses":{"201":{"description":"Successful action response","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/media/{media_id}/attachments":{"summary":"Attachment","description":"A file, whether it's stored on Planning Center or linked from another location.","get":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"},{"$ref":"#/components/parameters/attachment_where_administrator_id_parameter"},{"$ref":"#/components/parameters/attachment_where_attachable_type_parameter"},{"$ref":"#/components/parameters/attachment_where_filename_like_parameter"},{"$ref":"#/components/parameters/attachment_where_licenses_purchased_parameter"},{"$ref":"#/components/parameters/attachment_where_type_parameter"},{"$ref":"#/components/parameters/attachment_order_parameter"},{"$ref":"#/components/parameters/attachment_include_parameter"},{"$ref":"#/components/parameters/attachment_all_fields_parameter"},{"$ref":"#/components/parameters/zoom_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/media_attachments_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"},{"$ref":"#/components/parameters/attachment_include_parameter"},{"$ref":"#/components/parameters/attachment_all_fields_parameter"},{"$ref":"#/components/parameters/zoom_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/attachment_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/media_attachments_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/media/{media_id}/attachments/{attachment_id}":{"summary":"Attachment","description":"A file, whether it's stored on Planning Center or linked from another location.","get":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"},{"name":"attachment_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Attachment id"},{"$ref":"#/components/parameters/attachment_include_parameter"},{"$ref":"#/components/parameters/attachment_all_fields_parameter"},{"$ref":"#/components/parameters/zoom_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/media_attachments_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"},{"name":"attachment_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Attachment id"},{"$ref":"#/components/parameters/attachment_include_parameter"},{"$ref":"#/components/parameters/attachment_all_fields_parameter"},{"$ref":"#/components/parameters/zoom_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/attachment_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/media_attachments_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"},{"name":"attachment_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Attachment id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/media/{media_id}/attachments/{attachment_id}/open":{"summary":"open","description":"This action is used to get the attachment file URL.  It is accessed by `POST`ing to `.../attachments/1/open`\n\nThis will generate the URL and return it in the `attachment_url` attribute of the `AttachmentActivity`.\n","post":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"},{"name":"attachment_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Attachment id"}],"responses":{"201":{"description":"Successful action response","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/media/{media_id}/attachments/{attachment_id}/preview":{"summary":"preview","description":"This action is used to get a reduced resolution (preview) version of the attachment.  It is accessed by `POST`ing to `.../attachments/1/preview`\n\nThis will generate the URL and return it in the `attachment_url` attribute of the `AttachmentActivity`.\n\nThe `has_preview` attribute of an `Attachment` indicates if a preview is available. When a preview is not available this action will return a `Not Found` error with a status code of `404`.\n","post":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"},{"name":"attachment_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Attachment id"}],"responses":{"201":{"description":"Successful action response","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/media/{media_id}/attachments/{attachment_id}/zooms":{"summary":"Zoom","description":"Describes a zoom level for an attachment","get":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"},{"name":"attachment_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Attachment id"},{"$ref":"#/components/parameters/zoom_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/attachment_zooms_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"},{"name":"attachment_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Attachment id"},{"$ref":"#/components/parameters/zoom_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/zoom_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/attachment_zooms_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/media/{media_id}/attachments/{attachment_id}/zooms/{zoom_id}":{"summary":"Zoom","description":"Describes a zoom level for an attachment","get":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"},{"name":"attachment_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Attachment id"},{"name":"zoom_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Zoom id"},{"$ref":"#/components/parameters/zoom_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/attachment_zooms_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"},{"name":"attachment_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Attachment id"},{"name":"zoom_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Zoom id"},{"$ref":"#/components/parameters/zoom_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/zoom_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/attachment_zooms_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"},{"name":"attachment_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Attachment id"},{"name":"zoom_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Zoom id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/media/{media_id}/media_schedules":{"summary":"MediaSchedule","get":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"},{"$ref":"#/components/parameters/mediaschedule_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/media_media_schedules_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/media/{media_id}/media_schedules/{media_schedule_id}":{"summary":"MediaSchedule","get":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"},{"name":"media_schedule_id","in":"path","schema":{"type":"string"},"required":true,"description":"The MediaSchedule id"},{"$ref":"#/components/parameters/mediaschedule_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/media_media_schedules_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/media/{media_id}/tags":{"summary":"Tag","description":"A tag belonging to a tag group.","get":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"},{"$ref":"#/components/parameters/tag_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/media_tags_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/media/{media_id}/tags/{tag_id}":{"summary":"Tag","description":"A tag belonging to a tag group.","get":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"},{"name":"tag_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Tag id"},{"$ref":"#/components/parameters/tag_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/media_tags_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/media/{media_id}/unarchive":{"summary":"unarchive","description":"Restore an archived Media.","post":{"tags":["Media"],"parameters":[{"name":"media_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Media id"}],"responses":{"201":{"description":"Successful action response","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/people":{"summary":"Person","description":"A person added to Planning Center Services.","get":{"tags":["Person"],"parameters":[{"$ref":"#/components/parameters/person_where_any_position_in_service_type_id_parameter"},{"$ref":"#/components/parameters/person_where_assigned_to_rehearsal_team_parameter"},{"$ref":"#/components/parameters/person_where_folder_id_parameter"},{"$ref":"#/components/parameters/person_where_hidden_parameter"},{"$ref":"#/components/parameters/person_where_legacy_id_parameter"},{"$ref":"#/components/parameters/person_where_minimum_permissions_parameter"},{"$ref":"#/components/parameters/person_where_name_like_parameter"},{"$ref":"#/components/parameters/person_where_service_type_id_parameter"},{"$ref":"#/components/parameters/person_where_tag_group_ids_parameter"},{"$ref":"#/components/parameters/person_where_tag_ids_parameter"},{"$ref":"#/components/parameters/person_where_team_ids_parameter"},{"$ref":"#/components/parameters/person_where_team_leader_parameter"},{"$ref":"#/components/parameters/person_where_team_leader_team_ids_parameter"},{"$ref":"#/components/parameters/person_where_team_position_ids_parameter"},{"$ref":"#/components/parameters/teamleader_where_team_leaders_team_id_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_any_position_in_service_type_id_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_assigned_to_rehearsal_team_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_folder_id_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_hidden_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_legacy_id_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_minimum_permissions_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_name_like_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_service_type_id_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_tag_group_ids_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_tag_ids_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_team_ids_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_team_leader_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_team_leader_team_ids_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_team_position_ids_parameter"},{"$ref":"#/components/parameters/team_where_team_leaders_team_name_parameter"},{"$ref":"#/components/parameters/team_where_team_leaders_team_service_type_id_parameter"},{"$ref":"#/components/parameters/person_order_parameter"},{"$ref":"#/components/parameters/person_include_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/email_all_fields_parameter"},{"$ref":"#/components/parameters/tag_all_fields_parameter"},{"$ref":"#/components/parameters/teamleader_all_fields_parameter"},{"$ref":"#/components/parameters/team_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_people_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}":{"summary":"Person","description":"A person added to Planning Center Services.","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"$ref":"#/components/parameters/person_include_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/email_all_fields_parameter"},{"$ref":"#/components/parameters/tag_all_fields_parameter"},{"$ref":"#/components/parameters/teamleader_all_fields_parameter"},{"$ref":"#/components/parameters/team_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_people_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"$ref":"#/components/parameters/person_include_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/email_all_fields_parameter"},{"$ref":"#/components/parameters/tag_all_fields_parameter"},{"$ref":"#/components/parameters/teamleader_all_fields_parameter"},{"$ref":"#/components/parameters/team_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/person_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_people_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/assign_tags":{"summary":"assign_tags","description":"Used to assign tags to a person.","post":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"}],"responses":{"201":{"description":"Successful action response","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/available_signups":{"summary":"AvailableSignup","description":"Signups that are available.","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"$ref":"#/components/parameters/person_available_signups_filter_parameter"},{"$ref":"#/components/parameters/availablesignup_include_parameter"},{"$ref":"#/components/parameters/availablesignup_all_fields_parameter"},{"$ref":"#/components/parameters/signupsheet_all_fields_parameter"},{"$ref":"#/components/parameters/scheduledperson_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/signupsheetmetadata_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/person_available_signups_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/available_signups/{available_signup_id}":{"summary":"AvailableSignup","description":"Signups that are available.","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"available_signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The AvailableSignup id"},{"$ref":"#/components/parameters/availablesignup_include_parameter"},{"$ref":"#/components/parameters/availablesignup_all_fields_parameter"},{"$ref":"#/components/parameters/signupsheet_all_fields_parameter"},{"$ref":"#/components/parameters/scheduledperson_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/signupsheetmetadata_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/person_available_signups_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/available_signups/{available_signup_id}/signup_sheets":{"summary":"SignupSheet","description":"Available positions to sign up for","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"available_signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The AvailableSignup id"},{"$ref":"#/components/parameters/signupsheet_include_parameter"},{"$ref":"#/components/parameters/signupsheet_all_fields_parameter"},{"$ref":"#/components/parameters/scheduledperson_all_fields_parameter"},{"$ref":"#/components/parameters/signupsheetmetadata_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/available_signup_signup_sheets_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/available_signups/{available_signup_id}/signup_sheets/{signup_sheet_id}":{"summary":"SignupSheet","description":"Available positions to sign up for","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"available_signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The AvailableSignup id"},{"name":"signup_sheet_id","in":"path","schema":{"type":"string"},"required":true,"description":"The SignupSheet id"},{"$ref":"#/components/parameters/signupsheet_include_parameter"},{"$ref":"#/components/parameters/signupsheet_all_fields_parameter"},{"$ref":"#/components/parameters/scheduledperson_all_fields_parameter"},{"$ref":"#/components/parameters/signupsheetmetadata_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/available_signup_signup_sheets_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/available_signups/{available_signup_id}/signup_sheets/{signup_sheet_id}/accept":{"summary":"accept","description":"Accept a signup sheet","post":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"available_signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The AvailableSignup id"},{"name":"signup_sheet_id","in":"path","schema":{"type":"string"},"required":true,"description":"The SignupSheet id"}],"responses":{"201":{"description":"Successful action response","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/available_signups/{available_signup_id}/signup_sheets/{signup_sheet_id}/scheduled_people":{"summary":"ScheduledPerson","description":"A person already scheduled to a SignupSheet","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"available_signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The AvailableSignup id"},{"name":"signup_sheet_id","in":"path","schema":{"type":"string"},"required":true,"description":"The SignupSheet id"},{"$ref":"#/components/parameters/scheduledperson_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/signup_sheet_scheduled_people_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/available_signups/{available_signup_id}/signup_sheets/{signup_sheet_id}/scheduled_people/{scheduled_person_id}":{"summary":"ScheduledPerson","description":"A person already scheduled to a SignupSheet","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"available_signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The AvailableSignup id"},{"name":"signup_sheet_id","in":"path","schema":{"type":"string"},"required":true,"description":"The SignupSheet id"},{"name":"scheduled_person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The ScheduledPerson id"},{"$ref":"#/components/parameters/scheduledperson_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/signup_sheet_scheduled_people_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/available_signups/{available_signup_id}/signup_sheets/{signup_sheet_id}/signup_sheet_metadata":{"summary":"SignupSheetMetadata","description":"A SignupSheetMetadata Resource","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"available_signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The AvailableSignup id"},{"name":"signup_sheet_id","in":"path","schema":{"type":"string"},"required":true,"description":"The SignupSheet id"},{"$ref":"#/components/parameters/signupsheetmetadata_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/signup_sheet_signup_sheet_metadata_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/blockouts":{"summary":"Blockout","description":"An object representing a blockout date, and an optional recurrence pattern","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"$ref":"#/components/parameters/person_blockouts_filter_parameter"},{"$ref":"#/components/parameters/blockout_where_group_identifier_parameter"},{"$ref":"#/components/parameters/blockout_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/person_blockouts_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"$ref":"#/components/parameters/blockout_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/blockout_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/person_blockouts_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/blockouts/{blockout_id}":{"summary":"Blockout","description":"An object representing a blockout date, and an optional recurrence pattern","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"blockout_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Blockout id"},{"$ref":"#/components/parameters/blockout_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/person_blockouts_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"blockout_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Blockout id"},{"$ref":"#/components/parameters/blockout_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/blockout_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/person_blockouts_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"blockout_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Blockout id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/blockouts/{blockout_id}/blockout_dates":{"summary":"BlockoutDate","description":"The actual dates generated by the blockout or its recurrence pattern. Generated up to a year in advance","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"blockout_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Blockout id"},{"$ref":"#/components/parameters/blockoutdate_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/blockout_blockout_dates_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/blockouts/{blockout_id}/blockout_dates/{blockout_date_id}":{"summary":"BlockoutDate","description":"The actual dates generated by the blockout or its recurrence pattern. Generated up to a year in advance","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"blockout_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Blockout id"},{"name":"blockout_date_id","in":"path","schema":{"type":"string"},"required":true,"description":"The BlockoutDate id"},{"$ref":"#/components/parameters/blockoutdate_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/blockout_blockout_dates_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/blockouts/{blockout_id}/blockout_exceptions":{"summary":"BlockoutException","description":"A single exception for the dates generated from the blockout","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"blockout_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Blockout id"},{"$ref":"#/components/parameters/blockoutexception_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/blockout_blockout_exceptions_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"blockout_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Blockout id"},{"$ref":"#/components/parameters/blockoutexception_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/blockoutexception_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/blockout_blockout_exceptions_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/blockouts/{blockout_id}/blockout_exceptions/{blockout_exception_id}":{"summary":"BlockoutException","description":"A single exception for the dates generated from the blockout","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"blockout_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Blockout id"},{"name":"blockout_exception_id","in":"path","schema":{"type":"string"},"required":true,"description":"The BlockoutException id"},{"$ref":"#/components/parameters/blockoutexception_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/blockout_blockout_exceptions_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/collapse_service_types":{"summary":"collapse_service_types","description":"Used to set Service Types as collapsed for the Person","post":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"}],"responses":{"201":{"description":"Successful action response","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/emails":{"summary":"Email","description":"A persons email","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"$ref":"#/components/parameters/email_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/person_emails_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/emails/{email_id}":{"summary":"Email","description":"A persons email","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"email_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Email id"},{"$ref":"#/components/parameters/email_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/person_emails_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/expand_service_types":{"summary":"expand_service_types","description":"Used to set Service Types as expanded for the Person","post":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"}],"responses":{"201":{"description":"Successful action response","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/person_team_position_assignments":{"summary":"PersonTeamPositionAssignment","description":"A person's assignment to a position within a team.","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"$ref":"#/components/parameters/person_person_team_position_assignments_filter_parameter"},{"$ref":"#/components/parameters/personteampositionassignment_where_team_position_id_parameter"},{"$ref":"#/components/parameters/person_where_person_any_position_in_service_type_id_parameter"},{"$ref":"#/components/parameters/person_where_person_assigned_to_rehearsal_team_parameter"},{"$ref":"#/components/parameters/person_where_person_folder_id_parameter"},{"$ref":"#/components/parameters/person_where_person_hidden_parameter"},{"$ref":"#/components/parameters/person_where_person_legacy_id_parameter"},{"$ref":"#/components/parameters/person_where_person_minimum_permissions_parameter"},{"$ref":"#/components/parameters/person_where_person_name_like_parameter"},{"$ref":"#/components/parameters/person_where_person_service_type_id_parameter"},{"$ref":"#/components/parameters/person_where_person_tag_group_ids_parameter"},{"$ref":"#/components/parameters/person_where_person_tag_ids_parameter"},{"$ref":"#/components/parameters/person_where_person_team_ids_parameter"},{"$ref":"#/components/parameters/person_where_person_team_leader_parameter"},{"$ref":"#/components/parameters/person_where_person_team_leader_team_ids_parameter"},{"$ref":"#/components/parameters/person_where_person_team_position_ids_parameter"},{"$ref":"#/components/parameters/teamleader_where_person_team_leaders_team_id_parameter"},{"$ref":"#/components/parameters/team_where_team_position_team_name_parameter"},{"$ref":"#/components/parameters/team_where_team_position_team_service_type_id_parameter"},{"$ref":"#/components/parameters/personteampositionassignment_order_parameter"},{"$ref":"#/components/parameters/personteampositionassignment_include_parameter"},{"$ref":"#/components/parameters/personteampositionassignment_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/teamposition_all_fields_parameter"},{"$ref":"#/components/parameters/email_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/tag_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/team_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/teamleader_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/person_person_team_position_assignments_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/person_team_position_assignments/{person_team_position_assignment_id}":{"summary":"PersonTeamPositionAssignment","description":"A person's assignment to a position within a team.","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"person_team_position_assignment_id","in":"path","schema":{"type":"string"},"required":true,"description":"The PersonTeamPositionAssignment id"},{"$ref":"#/components/parameters/personteampositionassignment_include_parameter"},{"$ref":"#/components/parameters/personteampositionassignment_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/teamposition_all_fields_parameter"},{"$ref":"#/components/parameters/email_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/tag_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/team_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/teamleader_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/person_person_team_position_assignments_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"person_team_position_assignment_id","in":"path","schema":{"type":"string"},"required":true,"description":"The PersonTeamPositionAssignment id"},{"$ref":"#/components/parameters/personteampositionassignment_include_parameter"},{"$ref":"#/components/parameters/personteampositionassignment_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/teamposition_all_fields_parameter"},{"$ref":"#/components/parameters/email_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/tag_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/team_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/teamleader_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/personteampositionassignment_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/person_person_team_position_assignments_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"person_team_position_assignment_id","in":"path","schema":{"type":"string"},"required":true,"description":"The PersonTeamPositionAssignment id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/plan_people":{"summary":"PlanPerson","description":"A person scheduled within a specific plan.","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"$ref":"#/components/parameters/planperson_where_team_id_parameter"},{"$ref":"#/components/parameters/plantime_where_declined_plan_times_time_type_parameter"},{"$ref":"#/components/parameters/person_where_person_any_position_in_service_type_id_parameter"},{"$ref":"#/components/parameters/person_where_person_assigned_to_rehearsal_team_parameter"},{"$ref":"#/components/parameters/person_where_person_folder_id_parameter"},{"$ref":"#/components/parameters/person_where_person_hidden_parameter"},{"$ref":"#/components/parameters/person_where_person_legacy_id_parameter"},{"$ref":"#/components/parameters/person_where_person_minimum_permissions_parameter"},{"$ref":"#/components/parameters/person_where_person_name_like_parameter"},{"$ref":"#/components/parameters/person_where_person_service_type_id_parameter"},{"$ref":"#/components/parameters/person_where_person_tag_group_ids_parameter"},{"$ref":"#/components/parameters/person_where_person_tag_ids_parameter"},{"$ref":"#/components/parameters/person_where_person_team_ids_parameter"},{"$ref":"#/components/parameters/person_where_person_team_leader_parameter"},{"$ref":"#/components/parameters/person_where_person_team_leader_team_ids_parameter"},{"$ref":"#/components/parameters/person_where_person_team_position_ids_parameter"},{"$ref":"#/components/parameters/plan_where_plan_id_parameter"},{"$ref":"#/components/parameters/plan_where_plan_created_at_parameter"},{"$ref":"#/components/parameters/plan_where_plan_created_at_gt_parameter"},{"$ref":"#/components/parameters/plan_where_plan_created_at_gte_parameter"},{"$ref":"#/components/parameters/plan_where_plan_created_at_lt_parameter"},{"$ref":"#/components/parameters/plan_where_plan_created_at_lte_parameter"},{"$ref":"#/components/parameters/plan_where_plan_updated_at_parameter"},{"$ref":"#/components/parameters/plan_where_plan_updated_at_gt_parameter"},{"$ref":"#/components/parameters/plan_where_plan_updated_at_gte_parameter"},{"$ref":"#/components/parameters/plan_where_plan_updated_at_lt_parameter"},{"$ref":"#/components/parameters/plan_where_plan_updated_at_lte_parameter"},{"$ref":"#/components/parameters/plan_where_plan_series_title_parameter"},{"$ref":"#/components/parameters/plan_where_plan_title_parameter"},{"$ref":"#/components/parameters/team_where_team_name_parameter"},{"$ref":"#/components/parameters/team_where_team_service_type_id_parameter"},{"$ref":"#/components/parameters/teamleader_where_person_team_leaders_team_id_parameter"},{"$ref":"#/components/parameters/schedule_where_plan_my_schedules_plan_id_parameter"},{"$ref":"#/components/parameters/schedule_where_plan_my_schedules_team_id_parameter"},{"$ref":"#/components/parameters/plantime_where_plan_plan_times_time_type_parameter"},{"$ref":"#/components/parameters/series_where_plan_series_title_parameter"},{"$ref":"#/components/parameters/person_where_team_people_any_position_in_service_type_id_parameter"},{"$ref":"#/components/parameters/person_where_team_people_assigned_to_rehearsal_team_parameter"},{"$ref":"#/components/parameters/person_where_team_people_folder_id_parameter"},{"$ref":"#/components/parameters/person_where_team_people_hidden_parameter"},{"$ref":"#/components/parameters/person_where_team_people_legacy_id_parameter"},{"$ref":"#/components/parameters/person_where_team_people_minimum_permissions_parameter"},{"$ref":"#/components/parameters/person_where_team_people_name_like_parameter"},{"$ref":"#/components/parameters/person_where_team_people_service_type_id_parameter"},{"$ref":"#/components/parameters/person_where_team_people_tag_group_ids_parameter"},{"$ref":"#/components/parameters/person_where_team_people_tag_ids_parameter"},{"$ref":"#/components/parameters/person_where_team_people_team_ids_parameter"},{"$ref":"#/components/parameters/person_where_team_people_team_leader_parameter"},{"$ref":"#/components/parameters/person_where_team_people_team_leader_team_ids_parameter"},{"$ref":"#/components/parameters/person_where_team_people_team_position_ids_parameter"},{"$ref":"#/components/parameters/personteampositionassignment_where_team_person_team_position_assignments_team_position_id_parameter"},{"$ref":"#/components/parameters/servicetype_where_team_service_types_id_parameter"},{"$ref":"#/components/parameters/servicetype_where_team_service_types_name_parameter"},{"$ref":"#/components/parameters/servicetype_where_team_service_types_parent_id_parameter"},{"$ref":"#/components/parameters/teamleader_where_team_team_leaders_team_id_parameter"},{"$ref":"#/components/parameters/planperson_include_parameter"},{"$ref":"#/components/parameters/planperson_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/plan_all_fields_parameter"},{"$ref":"#/components/parameters/plantime_all_fields_parameter"},{"$ref":"#/components/parameters/team_all_fields_parameter"},{"$ref":"#/components/parameters/contributor_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/email_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/personteampositionassignment_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/schedule_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/series_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/servicetype_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/splitteamrehearsalassignment_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/tag_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/teamleader_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/teamposition_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/person_plan_people_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/plan_people/{plan_person_id}":{"summary":"PlanPerson","description":"A person scheduled within a specific plan.","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"plan_person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The PlanPerson id"},{"$ref":"#/components/parameters/planperson_include_parameter"},{"$ref":"#/components/parameters/planperson_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/plan_all_fields_parameter"},{"$ref":"#/components/parameters/plantime_all_fields_parameter"},{"$ref":"#/components/parameters/team_all_fields_parameter"},{"$ref":"#/components/parameters/contributor_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/email_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/personteampositionassignment_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/schedule_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/series_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/servicetype_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/splitteamrehearsalassignment_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/tag_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/teamleader_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/teamposition_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/person_plan_people_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"plan_person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The PlanPerson id"},{"$ref":"#/components/parameters/planperson_include_parameter"},{"$ref":"#/components/parameters/planperson_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/plan_all_fields_parameter"},{"$ref":"#/components/parameters/plantime_all_fields_parameter"},{"$ref":"#/components/parameters/team_all_fields_parameter"},{"$ref":"#/components/parameters/contributor_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/email_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/personteampositionassignment_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/schedule_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/series_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/servicetype_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/splitteamrehearsalassignment_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/tag_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/teamleader_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/teamposition_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/planperson_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/person_plan_people_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"plan_person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The PlanPerson id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/plan_people/{plan_person_id}/declined_plan_times":{"summary":"PlanTime","description":"A time in a plan.","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"plan_person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The PlanPerson id"},{"$ref":"#/components/parameters/plantime_where_time_type_parameter"},{"$ref":"#/components/parameters/plantime_order_parameter"},{"$ref":"#/components/parameters/plantime_include_parameter"},{"$ref":"#/components/parameters/plantime_all_fields_parameter"},{"$ref":"#/components/parameters/splitteamrehearsalassignment_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/plan_person_declined_plan_times_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/plan_people/{plan_person_id}/declined_plan_times/{declined_plan_time_id}":{"summary":"PlanTime","description":"A time in a plan.","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"plan_person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The PlanPerson id"},{"name":"declined_plan_time_id","in":"path","schema":{"type":"string"},"required":true,"description":"The DeclinedPlanTime id"},{"$ref":"#/components/parameters/plantime_include_parameter"},{"$ref":"#/components/parameters/plantime_all_fields_parameter"},{"$ref":"#/components/parameters/splitteamrehearsalassignment_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/plan_person_declined_plan_times_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"plan_person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The PlanPerson id"},{"name":"declined_plan_time_id","in":"path","schema":{"type":"string"},"required":true,"description":"The DeclinedPlanTime id"},{"$ref":"#/components/parameters/plantime_include_parameter"},{"$ref":"#/components/parameters/plantime_all_fields_parameter"},{"$ref":"#/components/parameters/splitteamrehearsalassignment_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/plantime_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/plan_person_declined_plan_times_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"plan_person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The PlanPerson id"},{"name":"declined_plan_time_id","in":"path","schema":{"type":"string"},"required":true,"description":"The DeclinedPlanTime id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/people/{person_id}/plan_people/{plan_person_id}/person":{"summary":"Person","description":"A person added to Planning Center Services.","get":{"tags":["Person"],"parameters":[{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"name":"plan_person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The PlanPerson id"},{"$ref":"#/components/parameters/person_where_any_position_in_service_type_id_parameter"},{"$ref":"#/components/parameters/person_where_assigned_to_rehearsal_team_parameter"},{"$ref":"#/components/parameters/person_where_folder_id_parameter"},{"$ref":"#/components/parameters/person_where_hidden_parameter"},{"$ref":"#/components/parameters/person_where_legacy_id_parameter"},{"$ref":"#/components/parameters/person_where_minimum_permissions_parameter"},{"$ref":"#/components/parameters/person_where_name_like_parameter"},{"$ref":"#/components/parameters/person_where_service_type_id_parameter"},{"$ref":"#/components/parameters/person_where_tag_group_ids_parameter"},{"$ref":"#/components/parameters/person_where_tag_ids_parameter"},{"$ref":"#/components/parameters/person_where_team_ids_parameter"},{"$ref":"#/components/parameters/person_where_team_leader_parameter"},{"$ref":"#/components/parameters/person_where_team_leader_team_ids_parameter"},{"$ref":"#/components/parameters/person_where_team_position_ids_parameter"},{"$ref":"#/components/parameters/teamleader_where_team_leaders_team_id_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_any_position_in_service_type_id_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_assigned_to_rehearsal_team_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_folder_id_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_hidden_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_legacy_id_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_minimum_permissions_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_name_like_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_service_type_id_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_tag_group_ids_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_tag_ids_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_team_ids_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_team_leader_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_team_leader_team_ids_parameter"},{"$ref":"#/components/parameters/person_where_team_leaders_people_team_position_ids_parameter"},{"$ref":"#/components/parameters/team_where_team_leaders_team_name_parameter"},{"$ref":"#/components/parameters/team_where_team_leaders_team_service_type_id_parameter"},{"$ref":"#/components/parameters/person_order_parameter"},{"$ref":"#/components/parameters/person_include_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/email_all_fie
[...]
